Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.dropboxmq.resource.spi
Class EndpointFactoryConsumer

    java.lang.Object
      net.sf.dropboxmq.messageconsumers.ServerConsumer
          net.sf.dropboxmq.resource.spi.EndpointFactoryConsumer

    public class EndpointFactoryConsumer

extends ServerConsumer

Created: 27 Jan 2006

Version:
  $Revision: 217 $, $Date: 2010-11-28 22:46:14 -0700 (Sun, 28 Nov 2010) $
Author:
  Dwayne Schultz

Constructor Summary
`EndpointFactoryConsumer(Configuration configuration, ActivationSpecImpl activationSpec, MessageEndpointFactory messageEndpointFactory, boolean transacted)`

Method Summary
`protected SessionImpl` | `newChildSession()`
`void` | `start()`
`protected void` | `startChildSession()`
`void` | `stop()`

Methods inherited from class net.sf.dropboxmq.messageconsumers.ServerConsumer
`closeServerConsumer, getConnection, startConsuming, toObjectString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EndpointFactoryConsumer

    public EndpointFactoryConsumer(Configuration configuration,
                                   ActivationSpecImpl activationSpec,
                                   MessageEndpointFactory messageEndpointFactory,
                                   boolean transacted)
                            throws JMSException,
                                   EISSystemException

Throws:
  `JMSException`
  `EISSystemException`

Method Detail

### newChildSession

    protected SessionImpl newChildSession()

  Specified by:
    `newChildSession` in class `ServerConsumer`

### startChildSession

    protected void startChildSession()
                              throws JMSException

  Specified by:
    `startChildSession` in class `ServerConsumer`
  Throws:
    `JMSException`

### start

    public void start()

### stop

    public void stop()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD